package edu.fiu.jtlex.timeml.graph;

import java.util.List;
import java.util.Set;

import edu.fiu.jtlex.timeml.data.ITimeMLLink;

/**
 * Abstraction for an object that can store a graph's partitioning information
 *
 * @since jTLEX 1.0
 */
public interface IPartitionResult {

    /**
     * Gets the list of partitions.
     *
     * @return The list of partitions.
     * @since jTLEX 1.0
     */
    List<ITimeMLGraph> getPartitions();

    /**
     * Gets the set of partition links.
     *
     * @return The set of partition links.
     * @since jTLEX 1.0
     */
    Set<ITimeMLLink> getPartitionLinks();
}
